All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.session
Interface RemoteSessionContextStateChangedListener

All Superinterfaces:
  java.util.EventListener, java.rmi.Remote

All Known Implementing Classes:
  FavoritesFactory, SessionService

    public interface RemoteSessionContextStateChangedListener

extends java.rmi.Remote, java.util.EventListener

Causes an object to be notified when its state changes within the session context. Currently, this is when the object is removed from the session context or when the session context is destroyed. The object is notified by a `SessionContextStateChangedEvent` object.

Since:
  1.0

Method Summary
`void` | `contextStateChanged(SessionContextStateChangedEvent event)` Notifies the object that its state has changed within the session context.

Method Detail

### contextStateChanged

    void contextStateChanged(SessionContextStateChangedEvent event)
                             throws java.rmi.RemoteException

  Notifies the object that its state has changed within the session context. Currently, this is when the object is removed from the session context or when the session context is destroyed. If an object added to the session context with `SessionContextInterface.setAttribute(Object)` implements this interface, the session context will invoke this method when the object is removed from the session context or when the session context is destroyed.

  Parameters:
    `event` - The event that identifies the bound object, the name of the bound object, the session context, and an identifier that indicates the type of state change that occurred.
  Throws:
    `java.rmi.RemoteException` - If a network anomaly is encountered.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.